org.eclipse.viatra.cep.core.engine.runtime

## Class TokenLeavesTimedZoneMatcher

- java.lang.Object
- - org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper
  - - org.eclipse.viatra.query.runtime.api.impl.BaseMatcher<TokenLeavesTimedZoneMatch>
    - - org.eclipse.viatra.cep.core.engine.runtime.TokenLeavesTimedZoneMatcher

- All Implemented Interfaces:
    ViatraQueryMatcher<TokenLeavesTimedZoneMatch>

      public class TokenLeavesTimedZoneMatcher
      extends BaseMatcher<TokenLeavesTimedZoneMatch>

  Generated pattern matcher API of the org.eclipse.viatra.cep.core.engine.runtime.tokenLeavesTimedZone pattern, providing pattern-specific query methods.

  Use the pattern matcher on a given model via `on(ViatraQueryEngine)`, e.g. in conjunction with `ViatraQueryEngine#on(Notifier)`.

  Matches of the pattern will be represented as `TokenLeavesTimedZoneMatch`.

  Original source: ``

       pattern tokenLeavesTimedZone(eventToken : EventToken, state : State, timedZone : TimedZone, trapState : TrapState) {
              EventToken.currentState(eventToken, state);
              EventToken.timedZones(eventToken, timedZone);
              State.outStateOf(state, timedZone);

              Automaton.eventTokens(automaton, eventToken);
              Automaton.states(automaton, trapState);
       }

  See Also:
    `TokenLeavesTimedZoneMatch`, `TokenLeavesTimedZoneProcessor`, `TokenLeavesTimedZoneQuerySpecification`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `engine, querySpecification`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper

      `backend`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TokenLeavesTimedZoneMatch` | `arrayToMatch(java.lang.Object[] match)` Converts the array representation of a pattern match to an immutable Match object.
    `protected TokenLeavesTimedZoneMatch` | `arrayToMatchMutable(java.lang.Object[] match)` Converts the array representation of a pattern match to a mutable Match object.
    `int` | `countMatches(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState)` Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
    `static TokenLeavesTimedZoneMatcher` | `create()`
    `void` | `forEachMatch(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState, IMatchProcessor<? super TokenLeavesTimedZoneMatch> processor)` Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `forOneArbitraryMatch(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState, IMatchProcessor<? super TokenLeavesTimedZoneMatch> processor)` Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `java.util.Collection<TokenLeavesTimedZoneMatch>` | `getAllMatches(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState)` Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
    `java.util.Set<EventToken>` | `getAllValuesOfeventToken()` Retrieve the set of values that occur in matches for eventToken.
    `java.util.Set<EventToken>` | `getAllValuesOfeventToken(State pState, TimedZone pTimedZone, TrapState pTrapState)` Retrieve the set of values that occur in matches for eventToken.
    `java.util.Set<EventToken>` | `getAllValuesOfeventToken(TokenLeavesTimedZoneMatch partialMatch)` Retrieve the set of values that occur in matches for eventToken.
    `java.util.Set<State>` | `getAllValuesOfstate()` Retrieve the set of values that occur in matches for state.
    `java.util.Set<State>` | `getAllValuesOfstate(EventToken pEventToken, TimedZone pTimedZone, TrapState pTrapState)` Retrieve the set of values that occur in matches for state.
    `java.util.Set<State>` | `getAllValuesOfstate(TokenLeavesTimedZoneMatch partialMatch)` Retrieve the set of values that occur in matches for state.
    `java.util.Set<TimedZone>` | `getAllValuesOftimedZone()` Retrieve the set of values that occur in matches for timedZone.
    `java.util.Set<TimedZone>` | `getAllValuesOftimedZone(EventToken pEventToken, State pState, TrapState pTrapState)` Retrieve the set of values that occur in matches for timedZone.
    `java.util.Set<TimedZone>` | `getAllValuesOftimedZone(TokenLeavesTimedZoneMatch partialMatch)` Retrieve the set of values that occur in matches for timedZone.
    `java.util.Set<TrapState>` | `getAllValuesOftrapState()` Retrieve the set of values that occur in matches for trapState.
    `java.util.Set<TrapState>` | `getAllValuesOftrapState(EventToken pEventToken, State pState, TimedZone pTimedZone)` Retrieve the set of values that occur in matches for trapState.
    `java.util.Set<TrapState>` | `getAllValuesOftrapState(TokenLeavesTimedZoneMatch partialMatch)` Retrieve the set of values that occur in matches for trapState.
    `TokenLeavesTimedZoneMatch` | `getOneArbitraryMatch(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState)` Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `hasMatch(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState)` Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
    `TokenLeavesTimedZoneMatch` | `newMatch(EventToken pEventToken, State pState, TimedZone pTimedZone, TrapState pTrapState)` Returns a new (partial) match.
    `static TokenLeavesTimedZoneMatcher` | `on(ViatraQueryEngine engine)` Initializes the pattern matcher within an existing VIATRA Query engine.
    `static IQuerySpecification<TokenLeavesTimedZoneMatcher>` | `querySpecification()`
    `protected java.util.Set<EventToken>` | `rawAccumulateAllValuesOfeventToken(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for eventToken.
    `protected java.util.Set<State>` | `rawAccumulateAllValuesOfstate(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for state.
    `protected java.util.Set<TimedZone>` | `rawAccumulateAllValuesOftimedZone(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for timedZone.
    `protected java.util.Set<TrapState>` | `rawAccumulateAllValuesOftrapState(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for trapState.
    `protected TokenLeavesTimedZoneMatch` | `tupleToMatch(Tuple t)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `countMatches, countMatches, emptyArray, forEachMatch, forEachMatch, forOneArbitraryMatch, forOneArbitraryMatch, getAllMatches, getAllMatches, getAllValues, getAllValues, getCapabilities, getEngine, getOneArbitraryMatch, getOneArbitraryMatch, getParameterNames, getPatternName, getPositionOfParameter, getSpecification, hasMatch, matchToArray, newEmptyMatch, newMatch, rawAccumulateAllValues, rawCountMatches, rawForEachMatch, rawForOneArbitraryMatch, rawGetAllMatches, rawGetAllValues, rawGetOneArbitraryMatch, rawHasMatch, setBackend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### on

          public static TokenLeavesTimedZoneMatcher on(ViatraQueryEngine engine)
                                                throws ViatraQueryException

      Initializes the pattern matcher within an existing VIATRA Query engine. If the pattern matcher is already constructed in the engine, only a light-weight reference is returned. The match set will be incrementally refreshed upon updates.
      Parameters:
        `engine` - the existing VIATRA Query engine in which this matcher will be created.
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation

    - #### create

          public static TokenLeavesTimedZoneMatcher create()
                                                    throws ViatraQueryException

      Returns:
        an initialized matcher
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation
      No Reference:
        This method is for internal matcher initialization by the framework, do not call it manually.

    - #### getAllMatches

          public java.util.Collection<TokenLeavesTimedZoneMatch> getAllMatches(EventToken pEventToken,
                                                                               State pState,
                                                                               TimedZone pTimedZone,
                                                                               TrapState pTrapState)

      Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
      Returns:
        matches represented as a TokenLeavesTimedZoneMatch object.

    - #### getOneArbitraryMatch

          public TokenLeavesTimedZoneMatch getOneArbitraryMatch(EventToken pEventToken,
                                                                State pState,
                                                                TimedZone pTimedZone,
                                                                TrapState pTrapState)

      Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
      Returns:
        a match represented as a TokenLeavesTimedZoneMatch object, or null if no match is found.

    - #### hasMatch

          public boolean hasMatch(EventToken pEventToken,
                                  State pState,
                                  TimedZone pTimedZone,
                                  TrapState pTrapState)

      Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
      Returns:
        true if the input is a valid (partial) match of the pattern.

    - #### countMatches

          public int countMatches(EventToken pEventToken,
                                  State pState,
                                  TimedZone pTimedZone,
                                  TrapState pTrapState)

      Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
      Returns:
        the number of pattern matches found.

    - #### forEachMatch

          public void forEachMatch(EventToken pEventToken,
                                   State pState,
                                   TimedZone pTimedZone,
                                   TrapState pTrapState,
                                   IMatchProcessor<? super TokenLeavesTimedZoneMatch> processor)

      Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
        `processor` - the action that will process each pattern match.

    - #### forOneArbitraryMatch

          public boolean forOneArbitraryMatch(EventToken pEventToken,
                                              State pState,
                                              TimedZone pTimedZone,
                                              TrapState pTrapState,
                                              IMatchProcessor<? super TokenLeavesTimedZoneMatch> processor)

      Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
        `processor` - the action that will process the selected match.
      Returns:
        true if the pattern has at least one match with the given parameter values, false if the processor was not invoked

    - #### newMatch

          public TokenLeavesTimedZoneMatch newMatch(EventToken pEventToken,
                                                    State pState,
                                                    TimedZone pTimedZone,
                                                    TrapState pTrapState)

      Returns a new (partial) match. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `BaseMatcher.newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `pEventToken` - the fixed value of pattern parameter eventToken, or null if not bound.
        `pState` - the fixed value of pattern parameter state, or null if not bound.
        `pTimedZone` - the fixed value of pattern parameter timedZone, or null if not bound.
        `pTrapState` - the fixed value of pattern parameter trapState, or null if not bound.
      Returns:
        the (partial) match object.

    - #### rawAccumulateAllValuesOfeventToken

          protected java.util.Set<EventToken> rawAccumulateAllValuesOfeventToken(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for eventToken.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventToken

          public java.util.Set<EventToken> getAllValuesOfeventToken()

      Retrieve the set of values that occur in matches for eventToken.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventToken

          public java.util.Set<EventToken> getAllValuesOfeventToken(TokenLeavesTimedZoneMatch partialMatch)

      Retrieve the set of values that occur in matches for eventToken.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventToken

          public java.util.Set<EventToken> getAllValuesOfeventToken(State pState,
                                                                    TimedZone pTimedZone,
                                                                    TrapState pTrapState)

      Retrieve the set of values that occur in matches for eventToken.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### rawAccumulateAllValuesOfstate

          protected java.util.Set<State> rawAccumulateAllValuesOfstate(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for state.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfstate

          public java.util.Set<State> getAllValuesOfstate()

      Retrieve the set of values that occur in matches for state.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfstate

          public java.util.Set<State> getAllValuesOfstate(TokenLeavesTimedZoneMatch partialMatch)

      Retrieve the set of values that occur in matches for state.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfstate

          public java.util.Set<State> getAllValuesOfstate(EventToken pEventToken,
                                                          TimedZone pTimedZone,
                                                          TrapState pTrapState)

      Retrieve the set of values that occur in matches for state.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### rawAccumulateAllValuesOftimedZone

          protected java.util.Set<TimedZone> rawAccumulateAllValuesOftimedZone(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for timedZone.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftimedZone

          public java.util.Set<TimedZone> getAllValuesOftimedZone()

      Retrieve the set of values that occur in matches for timedZone.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftimedZone

          public java.util.Set<TimedZone> getAllValuesOftimedZone(TokenLeavesTimedZoneMatch partialMatch)

      Retrieve the set of values that occur in matches for timedZone.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftimedZone

          public java.util.Set<TimedZone> getAllValuesOftimedZone(EventToken pEventToken,
                                                                  State pState,
                                                                  TrapState pTrapState)

      Retrieve the set of values that occur in matches for timedZone.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### rawAccumulateAllValuesOftrapState

          protected java.util.Set<TrapState> rawAccumulateAllValuesOftrapState(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for trapState.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftrapState

          public java.util.Set<TrapState> getAllValuesOftrapState()

      Retrieve the set of values that occur in matches for trapState.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftrapState

          public java.util.Set<TrapState> getAllValuesOftrapState(TokenLeavesTimedZoneMatch partialMatch)

      Retrieve the set of values that occur in matches for trapState.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftrapState

          public java.util.Set<TrapState> getAllValuesOftrapState(EventToken pEventToken,
                                                                  State pState,
                                                                  TimedZone pTimedZone)

      Retrieve the set of values that occur in matches for trapState.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### tupleToMatch

          protected TokenLeavesTimedZoneMatch tupleToMatch(Tuple t)

      Specified by:
        `tupleToMatch` in class `BaseMatcher<TokenLeavesTimedZoneMatch>`

    - #### arrayToMatch

          protected TokenLeavesTimedZoneMatch arrayToMatch(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to an immutable Match object.
      Specified by:
        `arrayToMatch` in class `BaseMatcher<TokenLeavesTimedZoneMatch>`

    - #### arrayToMatchMutable

          protected TokenLeavesTimedZoneMatch arrayToMatchMutable(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to a mutable Match object.
      Specified by:
        `arrayToMatchMutable` in class `BaseMatcher<TokenLeavesTimedZoneMatch>`

    - #### querySpecification

          public static IQuerySpecification<TokenLeavesTimedZoneMatcher> querySpecification()
                                                                                     throws ViatraQueryException

      Returns:
        the singleton instance of the query specification of this pattern
      Throws:
        `ViatraQueryException` - if the pattern definition could not be loaded